Update Skill Collection
curl --request PATCH \
--url https://api.promptlayer.com/api/public/v2/skill-collections/{identifier} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/skill-collections/{identifier}"
payload = { "name": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.promptlayer.com/api/public/v2/skill-collections/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"skill_collection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"folder_id": 123,
"root_path": "<string>",
"name": "<string>",
"provider": "<string>",
"is_deleted": true,
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_by": 123,
"updated_at": "2023-11-07T05:31:56Z",
"external_ids": [
{
"source": "<string>",
"external_id": "<string>"
}
]
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Skill Collections
Update Skill Collection
PATCH
/
api
/
public
/
v2
/
skill-collections
/
{identifier}
Update Skill Collection
Rename an existing skill collection by identifier.
This endpoint updates collection metadata only. To create a new saved version of the collection contents, use Save Skill Collection Version.
Authorizations
Path Parameters
Skill collection UUID, name, or root_path.
Body
application/json
Was this page helpful?
⌘I

